{ config, pkgs, lib, ... }:

{

  programs.mpv = {
    enable = true;
    config = {
      hwdec = "auto-safe";
      vo = "gpu";
      gpu-context = "wayland";
      force-window = true;
      profile = "gpu-hq";
    };
  };
  home.packages = with pkgs;
    [ vlc v4l-utils playerctl yt-dlp ] ++ [ # Audio
      gnome.gnome-sound-recorder
      enblend-enfuse
      ffmpeg
      mplayer
      sox # TODO: mencoder?
      vorbis-tools
      vorbisgain
      opusTools
      flac
      lame
      id3lib
      id3v2 # TODO: icedax?
      pasystray
      pavucontrol
      spotify
    ] ++ [ # Imaging
      gimp
      hugin
      lensfun
      luminanceHDR
      darktable
      gphoto2
      # ImageMagick-perl perl-File-Type perl-Term-ProgressBar #TODO: Support libraries for scripts
      inkscape
      ghostscript
    ] ++ [ # Codecs for Audio and Video
      vobcopy
      libdv
      libdvbpsi # TODO: librtmp?
      xvidcore
      x264
      gst_all_1.gstreamer
      gst_all_1.gst-vaapi
      gst_all_1.gst-rtsp-server
      gst_all_1.gst-libav
      gst_all_1.gst-plugins-base
      gst_all_1.gst-plugins-bad
      gst_all_1.gst-plugins-good
      gst_all_1.gst-plugins-ugly
    ];

}
